Package org.gradle.util

## Class NameValidator

- java.lang.Object
- - org.gradle.util.NameValidator

-     @Deprecated
      public final class NameValidator
      extends java.lang.Object

  Deprecated.
  Will be removed in Gradle 9.0.
  This class is only here to maintain binary compatibility with existing plugins.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `validate​(java.lang.String name, java.lang.String nameDescription, java.lang.String fixSuggestion)` | Deprecated. Validates that a given name string does not contain any forbidden characters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### validate

          public static void validate​(java.lang.String name,
                                      java.lang.String nameDescription,
                                      java.lang.String fixSuggestion)
                               throws InvalidUserDataException

      Deprecated.
      Validates that a given name string does not contain any forbidden characters.
      Throws:
        `InvalidUserDataException`